List Load Balancers

GET/v1/load_balancers

A GET request to the /v1/load_balancers endpoint shows a list of Load Balancers.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

location_id?integer

A unique identifier of a location. A request to list IDs is described in the Location block.

Range1 <= value
cluster_id?string

A unique identifier of a dedicated Load Balancer cluster.

type?string

This parameter selects an L4 or L7 balancer to return in an output.

Value in

  • "l4"
  • "l7"
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id.

Default"id"

Value in

  • "id"
  • "created_at"
  • "updated_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/load_balancers"
[  {    "id": "olejRejN",    "name": "name406",    "type": "l7",    "status": "pending",    "external_addresses": [],    "location_id": 413,    "location_code": "location857",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "cluster_id": null,    "created_at": "2026-05-28T06:58:07Z",    "updated_at": "2026-05-28T06:58:07Z"  },  {    "id": "pmbk5ezJ",    "name": "name407",    "type": "l7",    "status": "pending",    "external_addresses": [      "101.0.0.0"    ],    "location_id": 413,    "location_code": "location857",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "cluster_id": null,    "created_at": "2026-05-28T06:58:07Z",    "updated_at": "2026-05-28T06:58:07Z"  },  {    "id": "pnel5aKB",    "name": "name408",    "type": "l7",    "status": "pending",    "external_addresses": [],    "location_id": 413,    "location_code": "location857",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "cluster_id": null,    "created_at": "2026-05-28T06:58:07Z",    "updated_at": "2026-05-28T06:58:07Z"  }]
{  "message": "Bad request",  "code": "BAD_REQUEST",  "params": [    "page"  ]}